Page MenuHomeFreeBSD

New port: net-p2p/py-tremc.
ClosedPublic

Authored by rigoletto on Dec 25 2017, 3:46 PM.

Details

Summary

This is a CLI transmission client. A python:3 fork (of the now abbandoned) transmission-remote-cli.

Test Plan

I am experiencing a weird behaviour while building this port with the XEROX (devel/py-xerox) option ON:

1 - if devel/py-xerox is already installed while building this port, make build it again and later fail due to devel/py-xerox
already being installed;

2 - if devel/py-xerox is not installed, make build it and later make fail with "tremc-20171202 depends on executable:
py36-xerox - not found". Same happens with Poudriere builds.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

rigoletto created this revision.Dec 25 2017, 3:46 PM
rigoletto edited the summary of this revision. (Show Details)Dec 25 2017, 3:49 PM
rigoletto edited the test plan for this revision. (Show Details)
rigoletto retitled this revision from New port net-p2p/tremc. to New port: net-p2p/tremc..Dec 25 2017, 3:52 PM
rigoletto updated this revision to Diff 37023.Dec 26 2017, 1:29 AM

Fix typo in GEOIP_RUN_DEPENS.

rigoletto edited the test plan for this revision. (Show Details)Dec 26 2017, 2:52 AM
rigoletto updated this revision to Diff 37028.Dec 26 2017, 3:27 AM

Building fine now.

Thanks! :)

ultima added a subscriber: ultima.Dec 26 2017, 4:42 AM
ultima added inline comments.
net-p2p/tremc/Makefile
4 ↗(On Diff #37028)

Using USE_GITHUB When Upstream Does Not Use Versions should have g followed by the date.

example: g20171202

5 ↗(On Diff #37028)

why the "?"?

30 ↗(On Diff #37028)

Mk/bsd.options.desc.mk already has the correct description. This can be removed.

rigoletto updated this revision to Diff 37030.Dec 26 2017, 4:53 AM
rigoletto marked 3 inline comments as done.

Fixing.

Done.
Thanks!

rigoletto updated this revision to Diff 37031.Dec 26 2017, 5:26 AM

Updating distinfo.

One more thing you can expect python@ team to bring up is [1], specifically PKGNAMEPREFIX missing and the port being named net-p2p/py-tremc. Not sure if it needs to follow these policies though because its not a standard python port.

[1] https://wiki.freebsd.org/Python/PortsPolicy

rigoletto updated this revision to Diff 37048.Dec 26 2017, 1:44 PM

I completely forgot about the PKGNAMEPREFIX.

Fixing.
Thanks!

rigoletto retitled this revision from New port: net-p2p/tremc. to New port: net-p2p/py-tremc..Dec 26 2017, 3:32 PM
mat added inline comments.Dec 28 2017, 10:49 PM
net-p2p/py-tremc/Makefile
26 ↗(On Diff #37050)

This should be man/man1/tremc.1.gz

rigoletto updated this revision to Diff 37166.Dec 28 2017, 11:45 PM

Fixing manual file.

Thanks!

rigoletto marked an inline comment as done.Dec 28 2017, 11:46 PM
mat added inline comments.Dec 29 2017, 9:00 AM
net-p2p/py-tremc/Makefile
36–38 ↗(On Diff #37166)
  1. I do not think this is needed, the framework will compress the man pages automatically
  2. This does not belong in the "patch" phase.
rigoletto updated this revision to Diff 37180.Dec 29 2017, 3:11 PM
rigoletto marked an inline comment as done.

Re-working install phase.

swills accepted this revision.Dec 30 2017, 8:21 PM
This revision is now accepted and ready to land.Dec 30 2017, 8:21 PM
This revision was automatically updated to reflect the committed changes.